# Class goog.asserts.AssertionError

code »

    Error
      └ goog.debug.Error
          └ goog.asserts.AssertionError

Error object for failed assertions.

## Constructor

goog.asserts.AssertionError ( messagePattern, messageArgs )

Parameters

messagePattern: `string`
  The pattern that was used to form message.
messageArgs: `!Array`
  The items to substitute into the pattern.

Show:PublicProtectedPrivate

## Instance Properties

### Defined in `goog.asserts.AssertionError`

code » messagePattern : `string`

The message pattern used to format the error message. Error handlers can use this to uniquely identify the assertion.

## Static Properties

code » goog.asserts.AssertionError.superClass_ : `goog.debug.Error.prototype`